Bug in RT-IR3.0.0rc1 with RT4.0.5

Hi,

I’ve come across a bug while doing a test drive of the release candidate
of RT-IR3.

The error I get is:
Can’t locate object method “query_iterator” via package
"Net::Whois::RIPE" at /opt/rt4/local/plugins/RT-IR/lib/RT/IR.pm line 463.

I’ve seen this error at two different places:

I’ve looked around and saw the same missing object method error around
but for lookup.html instead so I thought I should bring this to your
attention.

I haven’t tried yet downgrading Net::Whois::RIPE.
David Moreau Simard
/Sp�cialiste TI //
IT Specialist/ http://iweb.com

I’ve come across a bug while doing a test drive of the release
candidate of RT-IR3.

The error I get is:
Can’t locate object method “query_iterator” via package
“Net::Whois::RIPE” at /opt/rt4/local/plugins/RT-IR/lib/RT/IR.pm line
463.

I’ve seen this error at two different places:

I’ve looked around and saw the same missing object method error
around but for lookup.html instead so I thought I should bring this
to your attention.

I haven’t tried yet downgrading Net::Whois::RIPE.

You need to downgrade.

From the RTIR README:

REQUIRED PACKAGES:

o RT 4.0.0 or later, configured, installed and tested.
o Net::Whois::RIPE 1.31 or OLDER, later versions broke
backwards compatibility